use std::env;
use std::collections::HashMap;

mod log;
mod db;

fn main() {

    let home_dir = env::var("HOME").expect("$HOME not defined. WTF?");
    let base_dir = format!("{}/.git-build", home_dir);

    let mut test = HashMap::new();
    test.insert("$i18n_task".to_string(), "test");
    log::info("process", Some(&test));

    let db = db::Database::from_folder(&base_dir);
    let truc = db.tasks();
    println!("{:?}", truc);

    for task in truc {
        println!("{:#?}", task);
    }

    //let log_level = env::var("LOG").unwrap_or
}
